curl --request GET \
--url https://api.coinstats.app/v1/wallet/transactions \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.coinstats.app/v1/wallet/transactions"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.coinstats.app/v1/wallet/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"page": 1,
"limit": 10
},
"result": [
{
"type": "Sent",
"date": "2025-06-07T11:58:11.000Z",
"mainContent": {
"coinIcons": [
"https://static.coinstats.app/coins/1650455629727.png"
],
"coinAssets": []
},
"coinData": {
"count": -0.00636637,
"symbol": "ETH",
"currentValue": 29.21596436513665
},
"profitLoss": {
"profit": -13.414468590167441,
"profitPercent": -84.44241338814263,
"currentValue": 29.21596436513665
},
"transactions": [
{
"action": "Sent",
"items": [
{
"id": "publicApi_0_0x3f1A9B2c5E4C7d9F8E23bC19A8A6c77B10e62E5dGROUP436a0bddwithdraw",
"count": -0.00636637,
"totalWorth": 15.88593699768782,
"coin": {
"id": "ethereum",
"name": "Ethereum",
"symbol": "ETH",
"icon": "https://static.coinstats.app/coins/1650455629727.png"
}
}
]
}
],
"fee": {
"coin": {
"id": "ethereum",
"name": "Ethereum",
"symbol": "ETH",
"icon": "https://static.coinstats.app/coins/1650455629727.png"
},
"count": 0.000033840249219,
"totalWorth": 0.08444122271861178
},
"hash": {
"id": "0xc969639a5c08179c32326b5d9e8bb73f34beeb5566b7e7a6a411d38ee4c77ba4",
"explorerUrl": "https://etherscan.io/tx/0xc969639a5c08179c32326b5d9e8bb73f34beeb5566b7e7a6a411d38ee4c77ba4"
}
}
]
}{
"statusCode": 400,
"message": "Bad Request",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 401,
"message": "Unauthorized",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 403,
"message": "Forbidden",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 404,
"message": "Not Found",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 409,
"message": "Transactions not synced",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 429,
"message": "Rate limit exceeded",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 503,
"message": "Service Unavailable. Please Contact Support"
}Get Wallet Transactions
Get transaction data for wallet addresses
Multipliers
Multipliers
Single wallet
Single wallet
Multiple wallets
Multiple wallets
Required
Required
- Provide either single-wallet form (
addressplus one ofconnectionIdorblockchain; if both are provided,connectionIdis used) orwallets(comma-separatedconnectionId:addresspairs) for multi-wallet. - Transactions must be synced first via PATCH /wallet/transactions.
Optional
Optional
- page & limit: Control pagination of the transaction list.
- from / to: Filter by timestamp range.
- currency: Display currency for transaction values.
- types: Comma-separated transaction types to filter by. The full list of supported values is available via GET /wallet/transactions/types.
- coinId: Filter transactions by coin.
- txId: Look up a specific transaction by its hash.
- hideUnidentifiedCoins: Set to true to hide transactions of unidentified coins. Defaults to false.
Notes
Notes
- Returns 409 Conflict if transactions have not been synced yet — call PATCH /wallet/transactions first
Authorizations
API key required to access the endpoints. Generate one from your dashboard at https://openapi.coinstats.app and pass it in the X-API-KEY request header. Never expose your key in client-side code.
Query Parameters
Page number to retrieve (1-based indexing)
1
Number of transactions to return per page. Default is 20, min is 1, max is 100.
20
Please include the date in ISO 8601 format
"2026-09-10T07:13:47.479Z"
Please include the date in ISO 8601 format
"2026-09-11T09:13:47.479Z"
"USD"
Comma-separated transaction types to filter by. The full list of supported values is available via GET /wallet/transactions/types.
When true, hides transactions of unidentified coins. Accepted values: true, false, 1, 0. Defaults to false.
true
The wallet address to fetch transactions for. Required if not using wallets parameter.
"0x1234567890abcdef1234567890abcdef12345678"
The identifier of connection from /wallet/blockchains call response. Either connectionId or blockchain must be provided. If both are provided, connectionId will be used. Required if using address parameter.
"ethereum"
The blockchain network identifier from /wallet/blockchains call response. Either connectionId or blockchain must be provided. If both are provided, connectionId will be used. Required if using address parameter.
"ethereum"
Transaction hash to search for a specific transaction.
"0xc969639a5c08179c32326b5d9e8bb73f34beeb5566b7e7a6a411d38ee4c77ba4"
Coin ID to search for a specific coin.
"bitcoin"
Comma-separated list of wallet addresses in format "connectionId:address". Use this for querying multiple wallets at once.
"ethereum:0x1234567890abcdef1234567890abcdef12345678,all:0x4567890abcdef1234567890abcdef1234567890abc"
Response
Get wallet transactions
Pagination metadata including total count and current page information
Show child attributes
Show child attributes
{ "page": 1, "limit": 10 }
Array of transaction records
Show child attributes
Show child attributes
[ { "type": "Sent", "date": "2025-06-07T11:58:11.000Z", "mainContent": { "coinIcons": [ "https://static.coinstats.app/coins/1650455629727.png" ], "coinAssets": [] }, "coinData": { "count": -0.00636637, "symbol": "ETH", "currentValue": 29.21596436513665 }, "profitLoss": { "profit": -13.414468590167441, "profitPercent": -84.44241338814263, "currentValue": 29.21596436513665 }, "transactions": [ { "action": "Sent", "items": [ { "id": "publicApi_0_0x3f1A9B2c5E4C7d9F8E23bC19A8A6c77B10e62E5dGROUP436a0bddwithdraw", "count": -0.00636637, "totalWorth": 15.88593699768782, "coin": { "id": "ethereum", "name": "Ethereum", "symbol": "ETH", "icon": "https://static.coinstats.app/coins/1650455629727.png" } } ] } ], "fee": { "coin": { "id": "ethereum", "name": "Ethereum", "symbol": "ETH", "icon": "https://static.coinstats.app/coins/1650455629727.png" }, "count": 0.000033840249219, "totalWorth": 0.08444122271861178 }, "hash": { "id": "0xc969639a5c08179c32326b5d9e8bb73f34beeb5566b7e7a6a411d38ee4c77ba4", "explorerUrl": "https://etherscan.io/tx/0xc969639a5c08179c32326b5d9e8bb73f34beeb5566b7e7a6a411d38ee4c77ba4" } } ]
Was this page helpful?